| LicenseSpring C++ SDK 7.27.0 Easily add Software Licensing to your application

Public Types | Public Member Functions | Static Public Member Functions | List of all members
LicenseSpring::DefaultCryptoProvider Class Referencefinal

If no CryptoProvider is set, this is the default CryptoProvider that will be used. More...

`#include <LicenseSpring/CryptoProvider.h>`

Inheritance diagram for LicenseSpring::DefaultCryptoProvider:

## Public Types
using | ptr_t = std::shared_ptr< DefaultCryptoProvider >
Public Types inherited from LicenseSpring::CryptoProvider
using | ptr_t = std::shared_ptr< CryptoProvider >

## Public Member Functions
| DefaultCryptoProvider ()
| DefaultCryptoProvider constructor. More...
| ~DefaultCryptoProvider () override
| DefaultCryptoProvider destructor. More...
std::string | encrypt (const std::string &inputString) override
| Encrypt given string. More...
std::string | decrypt (const std::string &inputString) override
| Decrypt given string. More...
Public Member Functions inherited from LicenseSpring::CryptoProvider
virtual | ~CryptoProvider ()
| Destructor for CryptoProvider object. More...
virtual void | setSalt (const std::string &salt)
| Set cryptographic salt. More...
virtual void | setKey (const std::string &key)
| Set key. More...
bool | isKeySet () const
| Checker for whether key is set. More...

## Static Public Member Functions
static ptr_t | create ()
| Allocates and constructs a DefaultCryptoProvider object and passes args to DefaultCryptoProvider(). More...

## Additional Inherited Members
Protected Attributes inherited from LicenseSpring::CryptoProvider
std::string | m_salt
std::string | m_key

## Detailed Description

If no CryptoProvider is set, this is the default CryptoProvider that will be used.

Definition at line 55 of file CryptoProvider.h.

## Member Typedef Documentation

## ◆ ptr_t

using LicenseSpring::DefaultCryptoProvider::ptr_t = std::shared_ptr<DefaultCryptoProvider>

Definition at line 58 of file CryptoProvider.h.

## Constructor & Destructor Documentation

## ◆ DefaultCryptoProvider()

LicenseSpring::DefaultCryptoProvider::DefaultCryptoProvider | ( |  | ) |

DefaultCryptoProvider constructor.

For internal needs, use create instead.

## ◆ ~DefaultCryptoProvider()

LicenseSpring::DefaultCryptoProvider::~DefaultCryptoProvider | ( |  | ) |
| override

DefaultCryptoProvider destructor.

## Member Function Documentation

## ◆ create()

static ptr_t LicenseSpring::DefaultCryptoProvider::create | ( |  | ) |
| inline static

Allocates and constructs a DefaultCryptoProvider object and passes args to DefaultCryptoProvider().

Returns
  A shared_ptr object that owns and stores a pointer to a newly allocated DefaultCryptoProvider object.

Definition at line 69 of file CryptoProvider.h.

## ◆ encrypt()

std::string LicenseSpring::DefaultCryptoProvider::encrypt | ( | const std::string & | inputString | ) |
| override virtual

Encrypt given string.

Parameters

  inputString | String to encrypt

Returns
  Encrypted string.

Implements LicenseSpring::CryptoProvider.

## ◆ decrypt()

std::string LicenseSpring::DefaultCryptoProvider::decrypt | ( | const std::string & | inputString | ) |
| override virtual

Decrypt given string.

Parameters

  inputString | String to decrypt

Returns
  Decrypted string.

Implements LicenseSpring::CryptoProvider.

The documentation for this class was generated from the following file:

- LicenseSpring/CryptoProvider.h